summaryrefslogtreecommitdiffstats
path: root/scripts/cvsbackport
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/cvsbackport')
-rwxr-xr-xscripts/cvsbackport32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/cvsbackport b/scripts/cvsbackport
new file mode 100755
index 00000000..085b27ae
--- /dev/null
+++ b/scripts/cvsbackport
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Backport the last change in HEAD, to a branch.
+# Usage: cvsbackport <files>
+# WARNING: the branch tag is hardcoded into the script, make sure to check it!
+#
+# Initial author: Dirk Mueller
+# Support for multiple command-line arguments: David Faure
+
+BRANCH=KDE_3_4_BRANCH
+echo "Backporting to $BRANCH"
+TMPFILE=`mktemp cvsbackport.XXXXXX` || exit 1
+files=$*
+until test $# -eq 0; do
+
+ echo "looking for last change to $1..."
+ CVSLASTCHANGE_KEEP_WHITESPACE=1 cvslastchange $1 > $TMPFILE
+ echo "browsing last change to $1..."
+ less $TMPFILE
+ cvs up -r$BRANCH $1
+ patch < $TMPFILE
+ rm -f $TMPFILE
+ echo "showing diff for $1..."
+ cvs diff $1 | less
+
+ shift
+done
+
+echo "Press ENTER now to commit ($files) or Ctrl+C to abort"
+read confirm
+
+cvs commit $files
+cvs up -A $files